# Yapstone::BankAccount

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**account_number** | **String** | The full bank account number.  | 
**routing_number** | **String** | The routing transit number for the bank account  | [optional] 
**account_type** | **String** | The type of account being paid from - choose from checking or savings account.  | 
**currency** | **String** | The currency of the bank account.  | 
**bank_name** | **String** | The name of the bank.  | [optional] 
**country** | **String** | The country the bank is located in.  | [optional] 
**bic** | **String** | The bank identifier code (BIC) is the SWIFT address assigned to a bank in order to send automated payments quicky and accurately to the banks concerned.  | [optional] 
**bank_code** | **String** | A bank code is a code assigned by a central bank, a bank supervisory body or a Bankers Association in a country to all its licensed member banks or financial institutions. The name of bank codes can vary.  | [optional] 
**branch_code** | **String** | A branch code is part of the Indian Financial System Code (IFSC), which is an 11 character alphanumeric code where the first four characters represent the bank&#39;s name, the fifth character is always 0 and the rest of the digits are the branch code.  | [optional] 
**iban** | **String** | This is an International Bank Account Number (IBAN) which is an internationally agreed system of identifying bank accounts across national borders to facilitate the communication and processing of cross border transactions with a reduced risk of transcription errors.  | [optional] 
**name_on_account** | **String** | The name of the person or business entity associated with the account.  | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::BankAccount.new(account_number: null,
                                 routing_number: null,
                                 account_type: null,
                                 currency: null,
                                 bank_name: null,
                                 country: null,
                                 bic: null,
                                 bank_code: null,
                                 branch_code: null,
                                 iban: null,
                                 name_on_account: null)
```


