# Yapstone::CapturePaymentRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**authorization_type** | **String** | For capturing a payment there are two steps, pre-authorization (PRIORAUTH) and capture (FINALAUTH). PRIORAUTH means that you are requesting pre-authorization. This is where you place a hold on your customer&#39;s credit card for a specified dollar amount based on a projected sale amount. Say your customer&#39;s card has $5000 on it and you want to reserve $250 for a payment so you put a $250 pre-authorization on their card. Now their credit limit is only $4750. Next, you must capture that money. The FINALAUTH enum is used to indicate that you are ready to authorize collection of the funds from the customer credit card.  | [optional] 
**amount** | [**Amount**](Amount.md) |  | [optional] 
**transactions** | [**Array&lt;Transaction&gt;**](Transaction.md) |  | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::CapturePaymentRequest.new(authorization_type: FINALAUTH,
                                 amount: null,
                                 transactions: null)
```


