# Yapstone::Error

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cause** | [**Throwable**](Throwable.md) |  | [optional] 
**localized_message** | **String** | This provides a localized description of the throwable. (A throwable is an error or exception.)  | [optional] 
**message** | **String** | A written description of the error for this throwable.  | [optional] 
**stack_trace** | [**Array&lt;StackTraceElement&gt;**](StackTraceElement.md) | Returns an array of stack trace elements, each representing one stack frame. The zeroth element of the array (assuming the array&#39;s length is non-zero) represents the top of the stack, which is the last method invocation in the sequence. Typically, this is the point at which this throwable was created and thrown. The last element of the array (assuming the array&#39;s length is non-zero) represents the bottom of the stack, which is the first method invocation in the sequence.  | [optional] 
**suppressed** | [**Array&lt;Throwable&gt;**](Throwable.md) | Returns an array containing all of the exceptions that were suppressed, typically by the try-with-resources statement, in order to deliver this exception. If no exceptions were suppressed or suppression is disabled, an empty array is returned. This method is thread-safe. Writes to the returned array do not affect future calls to this method.  | [optional] 

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::Error.new(cause: null,
                                 localized_message: null,
                                 message: null,
                                 stack_trace: null,
                                 suppressed: null)
```


