# Yapstone::PaymentDetails

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**line_items** | [**Array&lt;OfferingDetails&gt;**](OfferingDetails.md) | If your payment is for multiple line items, detail them here. The sum of your line item amounts must equal the amount given at the root of the request body.  | [optional] 
**authorization_type** | **String** | Used to list the authorization type. If it is PRIORAUTH this is a pre-authorization that places a hold on your customer&#39;s credit card for a specified dollar amount based on a projected sale amount. FINALAUTH is when you have completed all work checking the card and the customer and you are ready to actually withdraw the payment.  | [optional] [default to &#39;FINALAUTH&#39;]
**custom_soft_descriptor** | **String** | The descriptor that will be shown on the customer&#39;s bank statement after the transaction has been authorized.  | [optional] 
**installment_plan** | [**InstallmentPlan**](InstallmentPlan.md) |  | [optional] 
**amount** | [**Amount**](Amount.md) |  | [optional] 
**payment_instrument** | [**PaymentInstrument**](PaymentInstrument.md) |  | [optional] 
**instrument_owner** | **Boolean** | This indicates whether it is true that the payment method a customer wants to use belongs to the customer or not. | [optional] [default to true]

## Code Sample

```ruby
require 'Yapstone'

instance = Yapstone::PaymentDetails.new(line_items: null,
                                 authorization_type: null,
                                 custom_soft_descriptor: MY COMPANY 800-555-1234,
                                 installment_plan: null,
                                 amount: null,
                                 payment_instrument: null,
                                 instrument_owner: null)
```


