=begin
#Payments Orchestrator

#\"REST API for Payments Orchestrator\"

The version of the OpenAPI document: 1.6.4-SNAPSHOT
Contact: test@yapstone.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.1.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for Yapstone::PaymentsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'PaymentsApi' do
  before do
    # run before each test
    @api_instance = Yapstone::PaymentsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PaymentsApi' do
    it 'should create an instance of PaymentsApi' do
      expect(@api_instance).to be_instance_of(Yapstone::PaymentsApi)
    end
  end

  # unit tests for cancel_payment
  # Cancel Payment by payment Id
  # Use a DELETE request to send a payment ID to this endpoint in order to cancel the payment. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address Ip Address of the client
  # @param payment_id paymentId
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @option opts [String] :x_yapstone_fpsid Device Finger Print Id
  # @return [PaymentCancelResponse]
  describe 'cancel_payment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for cancel_transaction
  # Cancel Transaction by TransactionId
  # Use a transaction identifier to cancel a transaction. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address Ip Address of the client
  # @param transaction_id The transaction ID for the transaction you would like to cancel. 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @option opts [String] :x_yapstone_fpsid Device Finger Print Id
  # @return [PaymentCancelTransactionResponse]
  describe 'cancel_transaction test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for capture_payment
  # Capture a prior authorized payment
  # Capture a prior authorized payment. This endpoint is used after a payment is authorized. Once a payment is authorized, you must capture it so that money can be transferred from the customer&#39;s account to the merchant&#39;s account. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address Ip Address of the client
  # @param payment_id The payment ID associated with the payment. You can use this to retrieve a payment or chance its status. 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @option opts [String] :x_yapstone_fpsid Device Finger Print Id
  # @option opts [CapturePaymentRequest] :capture_payment_request 
  # @return [PaymentResponse]
  describe 'capture_payment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_payment
  # Process Payment
  # The payment endpoint lets you create a payment and send information identifying the customer device the payment comes from. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address This is the IP address of the client. 
  # @param process_payment processPayment
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @option opts [String] :x_yapstone_fpsid A device fingerprint is information gathered about the hardware and software of a website visitor combined with browser information. The fingerprint can be used to help retrieve particular sessions later, and it provides details about whoever is making a payment. 
  # @return [PaymentResponse]
  describe 'create_payment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_payment
  # Get with Payment Id
  # This endpoint lets you send a GET request containing a payment ID. The associated payment is returned to you in the response. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address IP Address of the client
  # @param payment_id paymentId
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @return [PaymentResponse]
  describe 'get_payment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_transaction
  # Get Transaction by Transaction Id
  # Retrieve information about a specific transaction. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address IP Address of the client
  # @param transaction_id The transaction identifier for the transaction you want to retrieve details about. 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @return [OrderTransactions]
  describe 'get_transaction test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for verify_payment_instrument
  # Verify payment instrument
  # Use this endpoint to verify that a customer&#39;s payment instrument is valid and associated with them. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address IP Address of the client
  # @param verify_instrument_request verifyInstrumentRequest
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @option opts [String] :x_yapstone_fpsid Device Finger Print Id
  # @return [InstrumentVerificationResponse]
  describe 'verify_payment_instrument test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
