=begin
#Payments Orchestrator

#\"REST API for Payments Orchestrator\"

The version of the OpenAPI document: 1.6.4-SNAPSHOT
Contact: test@yapstone.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.1.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for Yapstone::RefundsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'RefundsApi' do
  before do
    # run before each test
    @api_instance = Yapstone::RefundsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RefundsApi' do
    it 'should create an instance of RefundsApi' do
      expect(@api_instance).to be_instance_of(Yapstone::RefundsApi)
    end
  end

  # unit tests for cancel_refund
  # Cancel Payment by payment Id
  # @param authorization Authorization
  # @param x_yapstone_ip_address Ip Address of the client
  # @param refund_id refundId
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id X-Yapstone-Trace-Id
  # @option opts [String] :x_yapstone_fpsid Device Finger Print Id
  # @return [RefundCancelResponse]
  describe 'cancel_refund test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_payment_refund
  # Create a refund
  # Create a refund for a payment that was processed
  # @param authorization Authorization
  # @param x_yapstone_ip_address IP Address of the client
  # @param refund_request 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @option opts [String] :x_yapstone_fpsid Device Finger Print Id
  # @return [RefundResponse]
  describe 'create_payment_refund test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_transaction_refund
  # Create a refund
  # Use this end point to kick off a refund for transaction. If you&#39;ve already captured the transaction, this will result in a refund of the amount captured and the details of that refund will be returned in the response body. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address IP Address of the client
  # @param transaction 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @option opts [String] :x_yapstone_fpsid Device Finger Print Id
  # @return [RefundResponse]
  describe 'create_transaction_refund test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_by_originaltransaction_id
  # Get master Transaction details including all refund details by transaction Id
  # Transactions are nested inside payments. Master transactions are nested inside the master payment. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address IP Address of the client
  # @param transaction_id transactionId
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @return [TransactionResponse]
  describe 'get_by_originaltransaction_id test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_refund
  # Get master payment details including all refund detail by refund ID.
  # A master payment is the initial payment that all other payment details and transactions tied to that payment connect to. You can use a refund ID to retrieve master payment information. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address IP Address of the client
  # @param refund_id refundId
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @return [RefundResponse]
  describe 'get_refund test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_refund_by_payment_id
  # Get master payment details including all refund details by Payment Id.
  # A master payment is the initial payment that all other payment details and transactions tied to that payment connect to. 
  # @param authorization Authorization
  # @param x_yapstone_ip_address IP Address of the client
  # @param payment_id paymentId
  # @param [Hash] opts the optional parameters
  # @option opts [String] :x_yapstone_trace_id Optionally provide a unique identifier for this request, for use later if you need to debug this request with Yapstone support. Can be any arbitrary string. 
  # @return [RefundResponse]
  describe 'get_refund_by_payment_id test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
